
Katello - Bug #4084

unable to delete distributor

01/16/2014 05:47 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I'm not able to delete distributors that are linked to other orgs. Steps to repro:

create a new org, let's say org B

create a distributor in your acme org

export a manifest from the new distributor, it doesn't need to have any subs on it

import the manifest into org B

go back to acme org, attempt to delete distributor

:boom: 500 error :boom:

katello stack trace:

```

[ERROR 2013-05-20 16:09:38 app b4ae285a4ede60168551689fc347a327 #8214] Resources::Candlepin::Consumer: 500 Internal

Server Error {"displayMessage":"Runtime Error Could not execute JDBC batch update at

org.postgresql.jdbc2.AbstractJdbc2Statement$BatchResultHandler.handleError:2,598"} (DELETE

/candlepin/consumers/32a44773-2137-48b4-9b96-1154fc7c53d3) (RestClient::InternalServerError)  |

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/abstract_response.rb:48:in `return!'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:220:in `process_result'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:169:in `block in transmit'  |

/opt/rh/ruby193/root/usr/share/ruby/net/http.rb:745:in `start'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:166:in `transmit'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:60:in `execute'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/request.rb:31:in `execute'  |

/opt/rh/ruby193/root/usr/share/gems/gems/rest-client-1.6.1/lib/restclient/resource.rb:77:in `delete'  |

/usr/share/katello/app/lib/http_resource.rb:129:in `delete'  | /usr/share/katello/app/lib/resources/candlepin.rb:130:in `destroy'  |

/usr/share/katello/app/models/glue/candlepin/consumer.rb:139:in `del_candlepin_consumer'

```

candlepin error:

```

May 20 16:09:28 [http-8443-1] ERROR org.hibernate.util.JDBCExceptionReporter - ERROR: update or delete on table "cp_id_cert"

violates foreign key constraint "fk54b0f288a0b39916" on table "cp_upstream_consumer"

Detail: Key (id)=(8a26bc8a3ec383cd013ec388af110089) is still referenced from table "cp_upstream_consumer".

```

Let me know if you have any issues reproing this, adprice and I were both able to do it.

Created: beav on May 20, 2013 20:27 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2342

Comment 1

i can create/delete a distributor successfully if i don't export/import a manifest.

i can also create/delete a distributor successfully after exporting a manifest. the problem is when the manifest is imported back into

the same candlepin

05/17/2024 1/5

https://projects.theforeman.org/issues/8214
https://api.github.com/repos/Katello/katello/issues/2342


Created: komidore64 on May 21, 2013 14:54 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/18214099

Comment 2

full catalina.out stacktrace

```

May 21 10:50:58 [http-8443-2] INFO  org.candlepin.sync.Exporter - Creating archive of

/var/cache/candlepin/sync/export5779007513049349760974280139440/export in: export.zip

May 21 10:51:02 [http-8443-2] WARN  org.hibernate.util.JDBCExceptionReporter - SQL Error: 0, SQLState: 23503

May 21 10:51:02 [http-8443-2] ERROR org.hibernate.util.JDBCExceptionReporter - Batch entry 0 delete from cp_id_cert where

id='ff8080813ec784ea013ec78b3808000a' was aborted.  Call getNextException to see the cause.

May 21 10:51:02 [http-8443-2] WARN  org.hibernate.util.JDBCExceptionReporter - SQL Error: 0, SQLState: 23503

May 21 10:51:02 [http-8443-2] ERROR org.hibernate.util.JDBCExceptionReporter - ERROR: update or delete on table "cp_id_cert"

violates foreign key constraint "fk54b0f288a0b39916" on table "cp_upstream_consumer"

Detail: Key (id)=(ff8080813ec784ea013ec78b3808000a) is still referenced from table "cp_upstream_consumer".

May 21 10:51:02 [http-8443-2] ERROR org.hibernate.event.def.AbstractFlushingEventListener - Could not synchronize database

state with session

org.hibernate.exception.ConstraintViolationException: Could not execute JDBC batch update

at org.hibernate.exception.SQLStateConverter.convert(SQLStateConverter.java:94)

at org.hibernate.exception.JDBCExceptionHelper.convert(JDBCExceptionHelper.java:66)

at org.hibernate.jdbc.AbstractBatcher.executeBatch(AbstractBatcher.java:275)

at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:266)

at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:172)

at org.hibernate.event.def.AbstractFlushingEventListener.performExecutions(AbstractFlushingEventListener.java:321)

at org.hibernate.event.def.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:50)

at org.hibernate.impl.SessionImpl.flush(SessionImpl.java:1028)

at org.hibernate.impl.SessionImpl.managedFlush(SessionImpl.java:366)

at org.hibernate.transaction.JDBCTransaction.commit(JDBCTransaction.java:137)

at org.hibernate.ejb.TransactionImpl.commit(TransactionImpl.java:54)

at com.google.inject.persist.jpa.JpaLocalTxnInterceptor.invoke(JpaLocalTxnInterceptor.java:87)

at com.google.inject.internal.InterceptorStackCallback$InterceptedMethodInvocation.proceed(InterceptorStackCallback.java:72)

at com.google.inject.internal.InterceptorStackCallback.intercept(InterceptorStackCallback.java:52)

at org.candlepin.resource.ConsumerResource$$EnhancerByGuice$$81457ec.deleteConsumer(<generated>)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:601)

at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:155)

at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:257)

at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:222)

at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:211)

at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:525)

at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:502)

at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:119)

at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:208)

at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:55)

at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at com.google.inject.servlet.ServletDefinition.doService(ServletDefinition.java:263)

at com.google.inject.servlet.ServletDefinition.service(ServletDefinition.java:178)

at com.google.inject.servlet.ManagedServletPipeline.service(ManagedServletPipeline.java:91)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:62)

at org.candlepin.servlet.filter.ContentTypeHackFilter.doFilter(ContentTypeHackFilter.java:61)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at org.candlepin.servlet.filter.logging.LoggingFilter.doFilter(LoggingFilter.java:60)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at org.candlepin.servlet.filter.CandlepinPersistFilter.doFilter(CandlepinPersistFilter.java:48)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at org.candlepin.servlet.filter.CandlepinScopeFilter.doFilter(CandlepinScopeFilter.java:57)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)
at com.google.inject.servlet.ManagedFilterPipeline.dispatch(ManagedFilterPipeline.java:118)

at com.google.inject.servlet.GuiceFilter.doFilter(GuiceFilter.java:113)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)

at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:859)

at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:602)

at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:489)

at java.lang.Thread.run(Thread.java:722)

Caused by: java.sql.BatchUpdateException: Batch entry 0 delete from cp_id_cert where id='ff8080813ec784ea013ec78b3808000a'

was aborted.  Call getNextException to see the cause.

at org.postgresql.jdbc2.AbstractJdbc2Statement$BatchResultHandler.handleError(AbstractJdbc2Statement.java:2598)

at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1836)

at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:407)

at org.postgresql.jdbc2.AbstractJdbc2Statement.executeBatch(AbstractJdbc2Statement.java:2737)

at org.hibernate.jdbc.BatchingBatcher.doExecuteBatch(BatchingBatcher.java:70)

at org.hibernate.jdbc.AbstractBatcher.executeBatch(AbstractBatcher.java:268)

... 57 more

May 21 10:51:02 [http-8443-2] ERROR org.candlepin.exceptions.mappers.CandlepinExceptionMapper - Runtime Error Could not

execute JDBC batch update at org.postgresql.jdbc2.AbstractJdbc2Statement$BatchResultHandler.handleError:2,598

org.hibernate.exception.ConstraintViolationException: Could not execute JDBC batch update

at org.hibernate.exception.SQLStateConverter.convert(SQLStateConverter.java:94)

at org.hibernate.exception.JDBCExceptionHelper.convert(JDBCExceptionHelper.java:66)

at org.hibernate.jdbc.AbstractBatcher.executeBatch(AbstractBatcher.java:275)

at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:266)

at org.hibernate.engine.ActionQueue.executeActions(ActionQueue.java:172)

at org.hibernate.event.def.AbstractFlushingEventListener.performExecutions(AbstractFlushingEventListener.java:321)

at org.hibernate.event.def.DefaultFlushEventListener.onFlush(DefaultFlushEventListener.java:50)

at org.hibernate.impl.SessionImpl.flush(SessionImpl.java:1028)

at org.hibernate.impl.SessionImpl.managedFlush(SessionImpl.java:366)

at org.hibernate.transaction.JDBCTransaction.commit(JDBCTransaction.java:137)

at org.hibernate.ejb.TransactionImpl.commit(TransactionImpl.java:54)

at com.google.inject.persist.jpa.JpaLocalTxnInterceptor.invoke(JpaLocalTxnInterceptor.java:87)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:601)

at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:155)

at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:257)

at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:222)

at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:211)

at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:525)

at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:502)

at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:119)

at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:208)

at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:55)

at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at com.google.inject.servlet.ServletDefinition.doService(ServletDefinition.java:263)

at com.google.inject.servlet.ServletDefinition.service(ServletDefinition.java:178)

at com.google.inject.servlet.ManagedServletPipeline.service(ManagedServletPipeline.java:91)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:62)

at org.candlepin.servlet.filter.ContentTypeHackFilter.doFilter(ContentTypeHackFilter.java:61)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at org.candlepin.servlet.filter.logging.LoggingFilter.doFilter(LoggingFilter.java:60)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at org.candlepin.servlet.filter.CandlepinPersistFilter.doFilter(CandlepinPersistFilter.java:48)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at org.candlepin.servlet.filter.CandlepinScopeFilter.doFilter(CandlepinScopeFilter.java:57)
at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at com.google.inject.servlet.ManagedFilterPipeline.dispatch(ManagedFilterPipeline.java:118)

at com.google.inject.servlet.GuiceFilter.doFilter(GuiceFilter.java:113)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)

at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:859)

at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:602)

at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:489)

at java.lang.Thread.run(Thread.java:722)

Caused by: java.sql.BatchUpdateException: Batch entry 0 delete from cp_id_cert where id='ff8080813ec784ea013ec78b3808000a'

was aborted.  Call getNextException to see the cause.

at org.postgresql.jdbc2.AbstractJdbc2Statement$BatchResultHandler.handleError(AbstractJdbc2Statement.java:2598)

at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1836)

at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:407)

at org.postgresql.jdbc2.AbstractJdbc2Statement.executeBatch(AbstractJdbc2Statement.java:2737)

at org.hibernate.jdbc.BatchingBatcher.doExecuteBatch(BatchingBatcher.java:70)

at org.hibernate.jdbc.AbstractBatcher.executeBatch(AbstractBatcher.java:268)

... 54 more

May 21 10:51:02 [http-8443-2] DEBUG org.candlepin.policy.js.compliance.ComplianceRules - INPUT:

{"consumer":{"created":1369147389234,"updated":1369147390045,"id":"ff8080813ec784ea013ec78b35320008","uuid":"2f7d923f-ae

0e-4620-926e-8f2c29c5cb6f","name":"dist-out","username":"admin","entitlementStatus":"valid","serviceLevel":"","releaseVer":{"releas

eVer":null},"type":{"id":"1003","label":"candlepin","manifest":true},"owner":{"created":1369147096172,"updated":1369147096172,"id":"

ff8080813ec784ea013ec786bc6c0003","key":"acme","displayName":"acme","contentPrefix":"/acme/$env","defaultServiceLevel":null,"

upstreamConsumer":null,"href":"/owners/acme"},"environment":{"created":1369147097327,"updated":1369147097327,"owner":{"creat

ed":1369147096172,"updated":1369147096172,"id":"ff8080813ec784ea013ec786bc6c0003","key":"acme","displayName":"acme","co

ntentPrefix":"/acme/$env","defaultServiceLevel":null,"upstreamConsumer":null,"href":"/owners/acme"},"name":"Library","description":n

ull,"id":"2","environmentContent":[]},"entitlementCount":0,"facts":{"network.hostname":"dist-out"},"lastCheckin":null,"installedProducts"

:[],"canActivate":false,"guestIds":[],"autoheal":true,"href":"/consumers/2f7d923f-ae0e-4620-926e-8f2c29c5cb6f"},"ondate":136914786

2974,"entitlements":[]}

May 21 10:51:02 [http-8443-2] DEBUG org.candlepin.policy.js.compliance.ComplianceRules - Checking compliance status for

consumer: 2f7d923f-ae0e-4620-926e-8f2c29c5cb6f on date: Tue May 21 2013 10:51:02 GMT-0400 (EDT)

May 21 10:51:02 [http-8443-2] DEBUG org.candlepin.policy.js.compliance.ComplianceRules - OUTPUT:

{"date":"2013-05-21T14:51:02.974Z","partialStacks":{},"partiallyCompliantProducts":{},"compliantProducts":{},"nonCompliantProducts

":[],"reasons":[],"compliantUntil":null}

May 21 10:51:03 [http-8443-2] ERROR org.candlepin.exceptions.mappers.CandlepinExceptionMapper - Runtime Error null at

org.candlepin.resource.ConsumerResource.create:335

java.lang.NullPointerException

at org.candlepin.resource.ConsumerResource.create(ConsumerResource.java:335)

at org.candlepin.auth.interceptor.SecurityInterceptor.invoke(SecurityInterceptor.java:107)

at com.google.inject.persist.jpa.JpaLocalTxnInterceptor.invoke(JpaLocalTxnInterceptor.java:66)

at org.candlepin.resource.EnvironmentResource.create(EnvironmentResource.java:265)

at org.candlepin.auth.interceptor.SecurityInterceptor.invoke(SecurityInterceptor.java:107)

at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

at java.lang.reflect.Method.invoke(Method.java:601)

at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:155)

at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:257)

at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:222)

at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:211)

at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:525)

at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:502)

at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:119)

at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:208)

at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:55)

at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50)

at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

at com.google.inject.servlet.ServletDefinition.doService(ServletDefinition.java:263)

at com.google.inject.servlet.ServletDefinition.service(ServletDefinition.java:178)

at com.google.inject.servlet.ManagedServletPipeline.service(ManagedServletPipeline.java:91)
at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:62)

at org.candlepin.servlet.filter.ContentTypeHackFilter.doFilter(ContentTypeHackFilter.java:61)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at org.candlepin.servlet.filter.logging.LoggingFilter.doFilter(LoggingFilter.java:60)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at org.candlepin.servlet.filter.CandlepinPersistFilter.doFilter(CandlepinPersistFilter.java:48)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at org.candlepin.servlet.filter.CandlepinScopeFilter.doFilter(CandlepinScopeFilter.java:57)

at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:163)

at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:58)

at com.google.inject.servlet.ManagedFilterPipeline.dispatch(ManagedFilterPipeline.java:118)

at com.google.inject.servlet.GuiceFilter.doFilter(GuiceFilter.java:113)

at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)

at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)

at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)

at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)

at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)

at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)

at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)

at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:293)

at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:859)

at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:602)

at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:489)

at java.lang.Thread.run(Thread.java:722)

```

Created: komidore64 on May 21, 2013 14:55 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/18214187

History

#1 - 06/03/2014 08:05 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

Closing due to distributor's being disabled.

#2 - 06/05/2014 03:32 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:28 PM - Eric Helms

- translation missing: en.field_release set to 13
